net.sf.jasperreports.components.barcode4j

## Class BarcodeComponent

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable
  Direct Known Subclasses:
    CodabarComponent, Code128Component, Code39Component, DataMatrixComponent, EAN13Component, EAN8Component, FourStateBarcodeComponent, Interleaved2Of5Component, PDF417Component, POSTNETComponent, UPCAComponent, UPCEComponent

      public abstract class BarcodeComponent
      extends java.lang.Object
      implements Component, java.io.Serializable, JRCloneable, JRChangeEventsSupport

  Version:
    $Id: BarcodeComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ORIENTATION_DOWN`
    `static int` | `ORIENTATION_LEFT`
    `static int` | `ORIENTATION_RIGHT`
    `static int` | `ORIENTATION_UP`
    `static java.lang.String` | `PROPERTY_CODE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_MODULE_WIDTH`
    `static java.lang.String` | `PROPERTY_ORIENTATION`
    `static java.lang.String` | `PROPERTY_PATTERN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_PREFIX`
    `static java.lang.String` | `PROPERTY_QUIET_ZONE`
    `static java.lang.String` | `PROPERTY_TEXT_POSITION`
    `static java.lang.String` | `PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected BarcodeComponent` | `cloneObject()`
    `JRExpression` | `getCodeExpression()`
    `java.lang.String` | `getEvaluationGroup()`
    `EvaluationTimeEnum` | `getEvaluationTimeValue()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.Double` | `getModuleWidth()`
    `int` | `getOrientation()`
    `JRExpression` | `getPatternExpression()`
    `java.lang.Double` | `getQuietZone()`
    `java.lang.String` | `getTextPosition()`
    `java.lang.Double` | `getVerticalQuietZone()`
    `abstract void` | `receive(BarcodeVisitor visitor)`
    `void` | `setCodeExpression(JRExpression codeExpression)`
    `void` | `setEvaluationGroup(java.lang.String evaluationGroup)`
    `void` | `setEvaluationTimeValue(EvaluationTimeEnum evaluationTimeValue)`
    `void` | `setModuleWidth(java.lang.Double moduleWidth)`
    `void` | `setOrientation(int orientation)`
    `void` | `setPatternExpression(JRExpression patternExpression)`
    `void` | `setQuietZone(java.lang.Double quietZone)`
    `void` | `setTextPosition(org.krysalis.barcode4j.HumanReadablePlacement textPosition)`
    `void` | `setTextPosition(java.lang.String textPosition)`
    `void` | `setVerticalQuietZone(java.lang.Double verticalQuietZone)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_PREFIX

          public static final java.lang.String PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### ORIENTATION_UP

          public static final int ORIENTATION_UP

      See Also:
        Constant Field Values

    - #### ORIENTATION_LEFT

          public static final int ORIENTATION_LEFT

      See Also:
        Constant Field Values

    - #### ORIENTATION_DOWN

          public static final int ORIENTATION_DOWN

      See Also:
        Constant Field Values

    - #### ORIENTATION_RIGHT

          public static final int ORIENTATION_RIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_ORIENTATION

          public static final java.lang.String PROPERTY_ORIENTATION

      See Also:
        Constant Field Values

    - #### PROPERTY_CODE_EXPRESSION

          public static final java.lang.String PROPERTY_CODE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PATTERN_EXPRESSION

          public static final java.lang.String PROPERTY_PATTERN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_MODULE_WIDTH

          public static final java.lang.String PROPERTY_MODULE_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_TEXT_POSITION

          public static final java.lang.String PROPERTY_TEXT_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_QUIET_ZONE

          public static final java.lang.String PROPERTY_QUIET_ZONE

      See Also:
        Constant Field Values

    - #### PROPERTY_VERTICAL_QUIET_ZONE

          public static final java.lang.String PROPERTY_VERTICAL_QUIET_ZONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BarcodeComponent

          public BarcodeComponent()

  - ### Method Detail

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

    - #### setEvaluationTimeValue

          public void setEvaluationTimeValue(EvaluationTimeEnum evaluationTimeValue)

    - #### getEvaluationGroup

          public java.lang.String getEvaluationGroup()

    - #### setEvaluationGroup

          public void setEvaluationGroup(java.lang.String evaluationGroup)

    - #### getOrientation

          public int getOrientation()

    - #### setOrientation

          public void setOrientation(int orientation)

    - #### getCodeExpression

          public JRExpression getCodeExpression()

    - #### setCodeExpression

          public void setCodeExpression(JRExpression codeExpression)

    - #### getPatternExpression

          public JRExpression getPatternExpression()

    - #### setPatternExpression

          public void setPatternExpression(JRExpression patternExpression)

    - #### getModuleWidth

          public java.lang.Double getModuleWidth()

    - #### setModuleWidth

          public void setModuleWidth(java.lang.Double moduleWidth)

    - #### getTextPosition

          public java.lang.String getTextPosition()

    - #### setTextPosition

          public void setTextPosition(java.lang.String textPosition)

    - #### setTextPosition

          public void setTextPosition(org.krysalis.barcode4j.HumanReadablePlacement textPosition)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### cloneObject

          protected BarcodeComponent cloneObject()

    - #### receive

          public abstract void receive(BarcodeVisitor visitor)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getQuietZone

          public java.lang.Double getQuietZone()

    - #### setQuietZone

          public void setQuietZone(java.lang.Double quietZone)

    - #### getVerticalQuietZone

          public java.lang.Double getVerticalQuietZone()

    - #### setVerticalQuietZone

          public void setVerticalQuietZone(java.lang.Double verticalQuietZone)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com